{*******************************************************}
{                                                       }
{           CodeGear Delphi Runtime Library             }
{                                                       }
{           Copyright (c) 1995-2008 CodeGear            }
{                                                       }
{*******************************************************}

unit SysConst;                                   

interface

resourcestring
  SUnknown = '<unknown>';
  SInvalidInteger = '''%s'' nen platn celoseln hodnota';
  SInvalidFloat = '''%s'' nen platn seln hodnota v plovouc rce';
  SInvalidCurrency = '''%s'' nen platn currency hodnota';
  SInvalidDate = '''%s'' nen platn datum';
  SInvalidTime = '''%s'' nen platn as';
  SInvalidDateTime = '''%s'' nen platn datum a as';
  SInvalidDateTimeFloat = '''%g'' nen platn datum a as';
  SInvalidTimeStamp = '''%d.%d'' nen platn asov znaka';
  SInvalidGUID = '''%s'' nen platn GUID hodnota';
  SInvalidBoolean = '''%s'' nen platn boolean hodnota';
  STimeEncodeError = 'Chybn argument pro pevod asu';
  SDateEncodeError = 'Chybn argument pro pevod datumu';
  SOutOfMemory = 'Peteen pamti';
  SInOutError = 'Vstupn/vstupn chyba %d';
  SFileNotFound = 'Soubor nebyl nalezen';
  SInvalidFilename = 'Chybn jmno souboru';
  STooManyOpenFiles = 'Pli mnoho otevench soubor';
  SAccessDenied = 'Pstup k souboru byl odepen';
  SEndOfFile = 'ten za koncem souboru';
  SDiskFull = 'Disk je pln';
  SInvalidInput = 'Chybn seln vstup';
  SDivByZero = 'Dlen nulou';
  SRangeError = 'Chyba pi kontrole rozsahu';
  SIntOverflow = 'Peteen celho sla';
  SInvalidOp = 'Chyba seln operace v plovouc rce';
  SZeroDivide = 'Dlen nulou sla v plovouc rce';
  SOverflow = 'Peteen sla v plovouc rce';
  SUnderflow = 'Podteen sla v plovouc rce';
  SInvalidPointer = 'Chybn operace s ukazatelem';
  SInvalidCast = 'Chybn petypovn tdy';
{$IFDEF MSWINDOWS}
  SAccessViolationArg3 = 'Access violation at address %p. %s of address %p';
{$ENDIF}
{$IFDEF LINUX}
  SAccessViolationArg2 = 'Access violation at address %p, accessing address %p';
{$ENDIF}
  SAccessViolationNoArg = 'Zapovzen pstup';
  SStackOverflow = 'Peteen zsobnku';
  SControlC = 'Control-C stiskni';
  SQuit = 'Quit key hit';
  SPrivilege = 'Privilegovan instrukce';
  SOperationAborted = 'Operace se nezdaila';
  SException = 'Vjimka %s v modulu %s na %p.' + sLineBreak + '%s%s' + sLineBreak;
  SExceptTitle = 'Chyba aplikace';
{$IFDEF LINUX}
  SSigactionFailed = 'sigaction call failed';
{$ENDIF}
  SInvalidFormat = 'Formt ''%s'' je neplatn nebo m nesluiteln poloky';
  SArgumentMissing = 'Chyb parametry pro formt ''%s''';
  SDispatchError = 'Variant method calls not supported';
  SReadAccess = 'ten';
  SWriteAccess = 'Zpis';
  SResultTooLong = 'Vsledek formtu je del jak 4096 znak';
  SFormatTooLong = 'Formtovan etzec je pli dlouh';

  SVarArrayCreate = 'Chyba pi zakldn pole variant';
  SVarArrayBounds = 'Chyba rozsahu indexu v poli variant';
  SVarArrayLocked = 'Variant nebo zabezpeen pole je uzameno';
  SVarArrayWithHResult = 'Neoekvan chyba variantu nebo zabezpeenho pole: %s%.8x';

  SInvalidVarCast = 'Chybn typov konverze variantu';
  SInvalidVarOp = 'Chybn operace s variantem';
  SInvalidVarNullOp = 'Chyba NULL variant operace';
  SInvalidVarOpWithHResultWithPrefix = 'Chybn variant operace (%s%.8x)'#10'%s';
  SVarTypeRangeCheck1 = 'Chyba rozsahu pro variant typu (%s)';
  SVarTypeRangeCheck2 = 'Chyba rozsahu bhem konverze variantu typu (%s) na typ (%s)';
  SVarTypeOutOfRangeWithPrefix = 'Uivatelsk typ variantu (%s%.4x) je mimo rozsah';
  SVarTypeAlreadyUsedWithPrefix = 'Uivatelsk typ variantu (%s%.4x) je u uvn v %s';
  SVarTypeNotUsableWithPrefix = 'Uivatelsk typ variantu (%s%.4x) nen pouiteln';
  SVarTypeTooManyCustom = 'Neme bt registrovno vce uivatelskch typ variant';

  // the following are not used anymore
  SVarNotArray = 'Variant is not an array' deprecated; // not used, use SVarInvalid instead
  SVarTypeUnknown = 'Unknown custom variant type ($%.4x)' deprecated; // not used anymore
  SVarTypeOutOfRange = 'Custom variant type ($%.4x) is out of range' deprecated;
  SVarTypeAlreadyUsed = 'Custom variant type ($%.4x) already used by %s' deprecated;
  SVarTypeNotUsable = 'Custom variant type ($%.4x) is not usable' deprecated;
  SInvalidVarOpWithHResult = 'Invalid variant operation ($%.8x)' deprecated;

  SVarTypeCouldNotConvert = 'Could not convert variant of type (%s) into type (%s)';
  SVarTypeConvertOverflow = 'Overflow while converting variant of type (%s) into type (%s)';
  SVarOverflow = 'Variant overflow';
  SVarInvalid = 'Invalid argument';
  SVarBadType = 'Invalid variant type';
  SVarNotImplemented = 'Operation not supported';
  SVarOutOfMemory = 'Variant operation ran out memory';
  SVarUnexpected = 'Unexpected variant error';

  SVarDataClearRecursing = 'Recursion while doing a VarDataClear';
  SVarDataCopyRecursing = 'Recursion while doing a VarDataCopy';
  SVarDataCopyNoIndRecursing = 'Recursion while doing a VarDataCopyNoInd';
  SVarDataInitRecursing = 'Recursion while doing a VarDataInit';
  SVarDataCastToRecursing = 'Recursion while doing a VarDataCastTo';
  SVarIsEmpty = 'Variant is empty';
  sUnknownFromType = 'Cannot convert from the specified type';
  sUnknownToType = 'Cannot convert to the specified type';
  SExternalException = 'Vnj vjimka %x';
  SAssertionFailed = 'Assertion failed';
  SIntfCastError = 'Interface not supported';
  SSafecallException = 'Exception in safecall method'; 
  SMonitorLockException = 'Object lock not owned';
  SNoMonitorSupportException = 'Monitor support function not initialized';
  SAssertError = '%s (%s, line %d)';
  SAbstractError = 'Abstract Error';
  SModuleAccessViolation = 'Access violation at address %p in module ''%s''. %s of address %p';
  SCannotReadPackageInfo = 'Cannot access package information for package ''%s''';
  sErrorLoadingPackage = 'Can''t load package %s.'+sLineBreak+'%s';
  SInvalidPackageFile = 'Invalid package file ''%s''';
  SInvalidPackageHandle = 'Invalid package handle';
  SDuplicatePackageUnit = 'Cannot load package ''%s.''  It contains unit ''%s,''' +
    'which is also contained in package ''%s''';
  SOSError = 'System Error.  Code: %d.'+sLineBreak+'%s';
  SUnkOSError = 'A call to an OS function failed';
{$IFDEF MSWINDOWS}
  SWin32Error = 'Win32 Error.  Code: %d.'#10'%s' deprecated 'Use SOSError'; 
  SUnkWin32Error = 'A Win32 API function failed' deprecated 'use SUnkOSError';
{$ENDIF}
  SNL = 'Aplikace nem prvo pout tuto slubu';

  SShortMonthNameJan = 'Led';
  SShortMonthNameFeb = 'no';
  SShortMonthNameMar = 'Be';
  SShortMonthNameApr = 'Dub';
  SShortMonthNameMay = 'Kv';
  SShortMonthNameJun = 'er';
  SShortMonthNameJul = 'rv';
  SShortMonthNameAug = 'Srp';
  SShortMonthNameSep = 'Z';
  SShortMonthNameOct = 'j';
  SShortMonthNameNov = 'Lis';
  SShortMonthNameDec = 'Pro';

  SLongMonthNameJan = 'Leden';
  SLongMonthNameFeb = 'nor';
  SLongMonthNameMar = 'Bezen';
  SLongMonthNameApr = 'Duben';
  SLongMonthNameMay = 'Kvten';
  SLongMonthNameJun = 'erven';
  SLongMonthNameJul = 'ervenec';
  SLongMonthNameAug = 'Srpen';
  SLongMonthNameSep = 'Z';
  SLongMonthNameOct = 'jen';
  SLongMonthNameNov = 'Listopad';
  SLongMonthNameDec = 'Prosinec';

  SShortDayNameSun = 'Ne';
  SShortDayNameMon = 'Po';
  SShortDayNameTue = 't';
  SShortDayNameWed = 'St';
  SShortDayNameThu = 't';
  SShortDayNameFri = 'P';
  SShortDayNameSat = 'So';

  SLongDayNameSun = 'Nedle';
  SLongDayNameMon = 'Pondl';
  SLongDayNameTue = 'ter';
  SLongDayNameWed = 'Steda';
  SLongDayNameThu = 'tvrtek';
  SLongDayNameFri = 'Ptek';
  SLongDayNameSat = 'Sobota';

{$IFDEF LINUX}
  SEraEntries = '';
{$ENDIF}

  SCannotCreateDir = 'Adres nen mon vytvoit';
  SCodesetConversionError = 'Nezdailo se peddovn';
  // Used by TEncoding
  SInvalidSourceArray = 'Invalid source array';
  SInvalidDestinationArray = 'Invalid destination array';
  SCharIndexOutOfBounds = 'Character index out of bounds (%d)';
  SByteIndexOutOfBounds = 'Start index out of bounds (%d)';
  SInvalidCharCount = 'Invalid count (%d)';
  SInvalidDestinationIndex = 'Invalid destination index (%d)';
  SInvalidCodePage = 'Invalid code page';

implementation

end.
